html {
    font-size: 14px;
}


@media (min-width: 768px) {
    html {
        font-size: 14px;
    }
}


.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}



html {
    position: relative;
    min-height: 100%;
}

body {
    font-size: 14px;
    word-spacing: -1px; /* reduce espacio entre palabras */
    letter-spacing: -0.2px; /* ajusta separación entre letras */
    line-height: 1.3; /* mejora proporción vertical */
    box-sizing: border-box; /* opcional: mejor control de layout */
    margin-bottom: 60px;
}

/**************************
/*Posibilita que los div con d-flex respondan directamente al cambiar style*/
.d-flex[style*="display:none"], .d-flex[style*="display: none"] {
    display: none !important;
}

.dropdown-ini {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    overflow: auto;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}



.dx-datagrid .dx-data-row > td.bullet {
    padding-top: 0;
    padding-bottom: 0;
}

#pivotgrid {
    margin-top: 20px;
}

.currency {
    text-align: center;
}


#calendar-demo {
    display: flex;
}



/****NAVBAR****/
/* Reducir altura general de la navbar */
#nb1.navbar {
    padding-top: 2px !important;
    padding-bottom: 2px !important;
    min-height: 50px !important; 
}

/* Reducir padding vertical de los links */
#nb1 .navbar-nav .nav-link {
    padding-top: 2px !important;
    padding-bottom: 2px !important;
    font-size: 14px; /* opcional */
}

/* Reducir padding de los items del menú dropdown */
#nb1 .dropdown-item {
    padding-top: 4px !important;
    padding-bottom: 4px !important;
}

/* Compactar el botón del menú hamburguesa */
#nb1 .navbar-toggler {
    padding-top: 2px !important;
    padding-bottom: 2px !important;
}

#nb1 .navbar-nav .nav-link,
#nb1 .navbar-nav .dropdown-toggle,
#nb1 .navbar-nav .dropdown-item
 {
    display: flex !important;
    align-items: center !important; /* centra verticalmente */
}
/* Links normales de la navbar */
#nb1 .navbar-nav .nav-link {
    font-size: 13px !important; /* ajusta el tamaño que quieras */
    padding-top: 2px !important; /* opcional: compacta verticalmente */
    padding-bottom: 2px !important;
}
/* Items del dropdown */
#nb1 .dropdown-item {
    font-size: 13px !important; /* ajusta también aquí */
    padding-top: 4px !important;
    padding-bottom: 4px !important;
}
/* Botón hamburguesa (opcional si quieres que sea más pequeño) */
#nb1 .navbar-toggler {
    font-size: 13px !important;
}
/* Tamaño de fuente del combo en la navbar */
#nb1 select#listaEmpresas {
    font-size: 13px !important; /* ajusta a 12px o 11px si quieres más pequeño */
    height: 30px !important; /* opcional: ajustar altura */
    padding: 2px 4px !important; /* opcional: reduce padding interno */
}
 /* Opciones dentro del combo (algunos navegadores respetan esto) */
#nb1 select#listaEmpresas option {
   font-size: 13px !important;
}

/* Menú dinámico Approver */
#menuAprobador .nav-link {
    font-size: 13px !important; /* igual que tus otros links */
    padding-top: 2px !important;
    padding-bottom: 2px !important;
    color: white !important; /* mantiene el color */
}
/* Menú dinámico Vendor */
#menuProveedor .nav-link {
    font-size: 13px !important;
    padding-top: 2px !important;
    padding-bottom: 2px !important;
    color: white !important;
}
/* Opcional: reducir márgenes de los items para que no quede muy grande */
#menuAprobador > div,
#menuProveedor > div {
    margin-top: 2px !important;
    margin-bottom: 2px !important;
}


/*
@font-face {
    font-family: 'Vrinda';
    src: url('../fonts/vrinda.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}*/

.dx-datagrid,
.dx-datagrid-headers,
.dx-datagrid-rowsview,
.dx-datagrid-group-panel,
.dx-datagrid-filter-row,
.dx-datagrid-total-footer {
    /*font-family: 'Vrinda', sans-serif !important;*/
    font-size: 12px !important; /* ajusta aquí según necesites */
    word-spacing: -1px !important;
    letter-spacing: -0.2px !important;
    line-height: 1.3 !important;
}

    /*.dx-datagrid .dx-row > td,
    .dx-datagrid .dx-header-row > td,
    .dx-datagrid-headers .dx-header-row > td {
        font-size: 12px !important;
        height: 45px !important;*/
        /*padding-top: 8px !important;
        padding-bottom: 8px !important;
        height: 55px !important;*/
        /* padding-top: 6px !important;
        padding-bottom: 6px !important;*/
    /*}*/

    /* Cambiar color de encabezados */
    .dx-datagrid-headers .dx-header-row {
        background-color: #1E2344;
        color: white;
        font-weight: normal;
    }
    .dx-datagrid-headers .dx-header-row > td:hover {
        background-color: #1E2344;
        color: white !important;
    }
        .dx-datagrid-headers .dx-header-row > td.dx-sort-up,
        .dx-datagrid-headers .dx-header-row > td.dx-sort-down,
        .dx-datagrid-headers .dx-header-row > td.dx-datagrid-action,
        .dx-datagrid-headers .dx-header-row > td.dx-sort-up:hover,
        .dx-datagrid-headers .dx-header-row > td.dx-sort-down:hover {
            background-color: #1E2344 !important;
            color: white !important;
        }



/****GRIDS*****/
/* Reducir tamaño de letra del grid completo */
    .dx-datagrid
    .dx-datagrid-rowsview .dx-row td {
        font-size: 13px !important;
    }

/* Reducir altura y padding de filas */
/*.dx-datagrid-rowsview .dx-row > td {*/
   /* padding-top: 2px !important;*/
    /*padding-bottom: 2px !important;*/
    /*height: 44px !important;*/
/*}*/

/* Reducir tamaño de los controles en celdas editables */
.dx-editor-cell .dx-texteditor-input-container {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.dx-editor-cell .dx-texteditor {
    min-height: 24px !important;
    font-size: 13px !important;
}

/* Encabezados */
.dx-datagrid-headers .dx-header-row > td {
    font-size: 13px !important;
    padding-top: 8px !important;
    padding-bottom: 8px !important;
    height: 45px !important;
}

/* Celdas normales */
/*.dx-datagrid-rowsview .dx-row td {
    font-size: 13px !important;
    padding: 2px 4px !important;
    height: 40px !important;
}
*/
/* Celdas en edición */
.dx-editor-cell .dx-texteditor-input,
.dx-editor-cell .dx-texteditor {
    font-size: 13px !important;
    min-height: 22px !important;
}

/*BOTONES*/

.btn-devextreme-customAdd {
    font-size: 13px !important; /* tamaño del texto del botón */
    min-height: 28px !important; /* altura total del botón */
    height: 28px !important;
    padding: 4px 8px !important; /* padding vertical y horizontal */
    line-height: 1 !important;
    border-radius: 6px;
}

    /* Icono dentro del botón */
    .btn-devextreme-customAdd .dx-icon {
        font-size: 14px !important; /* tamaño del icono */
        vertical-align: middle !important;
    }



/*  /* Iconos dentro de los botones */
.btn-devextreme-custom .dx-icon {
    font-size: 16px !important; /* icono más grande */
    vertical-align: middle !important;
}


.dx-button.btn-devextreme-custom {
    margin: 0 2px !important; /* margen a izquierda y derecha */
    padding: 2px !important; /* padding interno */
    height: 32px !important; /* altura compacta */
    width: 32px !important; /* ancho proporcional */
    font-size: 14px !important; /* tamaño del icono */
}

.btn-devextreme-custom .dx-icon {
    font-size: 14px !important; /* icono proporcional */
    vertical-align: middle !important;
}


/*form*/

/* Reduce padding de cada item */
.dx-form .dx-field-item {
    padding: 5px 0 !important;
}

/* Reduce margen interno del contenido del item */
.dx-form .dx-field-item-content {
    margin: 4px !important;
}

/* Quita espacio extra en grupos */
.dx-form-group-with-caption {
    margin: 4px !important;
    padding: 4px !important;
}

.calendar-container {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    align-items: center;
    justify-content: center;
}

.caption {
    font-weight: 500;
    font-size: 18px;
}

.options {
    padding: 20px;
    background-color: rgba(191, 191, 191, 0.15);
}

.option {
    margin-top: 10px;
}

.disabled_enlace {
    cursor: not-allowed;
    pointer-events: none;
}

#chart {
    height: 440px;
}

.custom-height-slider {
    height: 75px;
}

.dx-field .dx-slider {
    flex: 1;
}


input::-ms-reveal,
input::-ms-clear {
    display: none;
}











/* Cambios de estilos de los Datagrid*/
/*.dx-datagrid {
    font-family: "vrinda", Arial, sans-serif;
}*/

.dx-datagrid-addrow-button {
    background-color: #e9ba3a !important; 
    color: white !important;
    border-radius: 0px;
    border: none;
}



.btn-devextreme-customAdd {
    background-color: #e9ba3a !important;
    color: white !important;
    border-radius: 6px;
    border: none !important;
}

.btn-devextreme-customAdd:hover {
    background-color: #d8ba3a !important;
    color: white !important;
    border-radius: 6px;
    border: none !important;
}

.btn-devextreme-custom {
    color: #e9ba3a !important;
    border: none !important;
}

.btn-devextreme-custom:hover {
    color: white !important;
    border: none !important;
}







#listaEmpresas {
    background-color: #2a2a2b;
    color: white;
    border: 1px solid #2a2a2b;
}


/* A partir del id quitamos el hover blanco que estaba default */
#dx-col-6{
    background-color: transparent !important;
}
#dx-col-12{
    background-color: transparent !important;
}
#dx-col-22 {
    background-color: transparent !important;
}




/* Estilos del index y logout*/
.col-imagen {
    height: 100vh; /* La imagen ocupa toda la pantalla */
    width: 100%; /* Ancho completo */
    background-image: linear-gradient(rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0.8)), /* transparencia */
    url('../img/imagenEstacionFondo.png');
    background-size: cover; /* Que cubra toda la pantalla */
    background-position: center; /* Centrada */
    background-repeat: no-repeat; /* Evitar repetición */
}


.col-contenido {
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 2rem;
    background-color: black;
}

.parte-superior {
    display: flex;
    flex-direction: column;
    align-items: flex-end; /* alinea logo a la derecha */
}

.logo {
    width: 150px;
    margin-bottom: 1rem;
}

.texto-izquierda {
    align-self: flex-start; /* mueve el texto a la izquierda */
    text-align: left;
    margin-top: 0.5rem;
    color: white;
}

/* Botones centrados */
.botones {
    text-align: center;
    margin-bottom: 2rem;
    margin-top: 15rem;
    align-content: center;
}
.nav-alarmas .nav-link {
    border-radius: 50px;
    color: #374151;
    font-weight: 500;
    padding: .45rem 1rem;
}

.nav-alarmas .nav-link.activo {
    background: #1E2344;
    color: white;
}

.imagen-fondo {
    height: 100vh; /* La imagen ocupa toda la pantalla */
    width: 100%; /* Ancho completo */
    background-image: linear-gradient(rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.6)), /* transparencia */
    url('../img/imagenFondo.png');
    background-size: cover; /* Que cubra toda la pantalla */
    background-position: center; /* Centrada */
    background-repeat: no-repeat; /* Evitar repetición */
}


/* CARGAMOS TODAS LAS FUENTES */

@font-face {
    font-family: 'Montserrat';
    src: url('../fonts/Montserrat.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../fonts/MontserratItalic.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
}

@font-face {
    font-family: 'Open Sans';
    src: url('../fonts/OpenSans.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Open Sans';
    src: url('../fonts/OpenSansItalic.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/RobotoItalic.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
}

/* Fuente principal */
body {
    font-family: 'Open Sans', 'Roboto', Arial, sans-serif;
    background-image: linear-gradient(rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.6)), /* transparencia */
    url('../img/fondoHorizontal.jpg');
    background-size: cover; /* Que cubra toda la pantalla */
    background-position: center; /* Centrada */
    background-repeat: no-repeat; /* Evitar repetición */
}

/* Encabezados */
h1, h2, h3, h4, h5, h6 {
    font-family: 'Montserrat', 'Open Sans', Arial, sans-serif;
    font-weight: 500;
    color: #1E2344;
}

/* Textos destacados */
.titulo,
.heading,
.navbar-brand,
.nav-link {
    font-family: 'Montserrat', 'Open Sans', Arial, sans-serif;
}

/* Que el hover del header NO cambie nada (texto e iconos) */
#gridContainer .dx-datagrid-headers .dx-datagrid-table .dx-row > td:hover .dx-datagrid-text-content,
#gridContainer .dx-datagrid-headers .dx-datagrid-table .dx-row > td:hover .dx-sort,
#gridContainer .dx-datagrid-headers .dx-datagrid-table .dx-row > td:hover .dx-sort-indicator {
    color: inherit !important;
}
.dx-datagrid-headers .dx-datagrid-table .dx-row > td .dx-sort, .dx-datagrid-headers .dx-datagrid-table .dx-row > td 
.dx-sort-indicator, .dx-datagrid-headers .dx-datagrid-table .dx-row > td:hover .dx-datagrid-text-content {
    color: white !important;
}

.dx-button .dx-icon-trash {
    color: #272C4A !important;
}

/* PARA APLICAR EL ESTILO DEL BOTON A UN DX-BUTTON */
/* El root real del botón tiene la clase dx-button */
.btn-outline-danger.dx-button {
    font-size: 13px;
    line-height: 35px;
    border-radius: 30px;
    transition: all 0.3s ease;
    height: 35px;
    padding: 0 50px;
    color: #bb001a;
    background-color: transparent;
}

/* El texto lo pinta DevExtreme dentro */
.btn-outline-danger.dx-button .dx-button-text {
    font-size: 13px;
    line-height: 35px;
    border-radius: 30px;
    transition: all 0.3s ease;
    height: 35px;
    padding: 0 50px;
    color: white;
    background-color: transparent;
}

/* Hover en DevExtreme es dx-state-hover no :hover */
.btn-outline-danger.dx-button.dx-state-hover {
    background-color: #bb001a;
    color: white !important;
}

    .btn-outline-danger.dx-button.dx-state-hover .dx-button-text {
        background-color: transparent !important;
        color: white !important;
    }

.dx-datagrid-column-chooser-button {
    color: #1E2344 !important;
}


/* contenedor de botones dentro de la toolbar */
.dp-toolbar-actions {
    display: flex;
    gap: 8px;
    align-items: center;
}

/*Elimina el hover y focus que hay default fuera del boton */
#ulBotones .btn:focus,
#ulBotones .btn:focus-visible,
#ulBotones .btn:active {
    box-shadow: none !important;
    outline: 0 !important;
}

#ulBotones > li,
#ulBotones > li:hover,
#ulBotones > li:focus-within {
    background: transparent !important;
}
ul#perfilDropdown > li > a.dropdown-item:hover {
    border-radius: 4px;
    background-color: lightgray !important;
}
#ulBotones > .dropdown-menu:hover {
    border-radius: 30px;
    background-color: #bb001a;
    color: white !important;
}


.btn-outline-danger {
    font-size: 15px !important;
    font-weight: 700 !important;
    line-height: 35px;
    display: inline-flex !important;
    align-items: center !important;
    justify-content: center !important;
    border-radius: 30px;
    transition: all 0.3s ease;
    height: 40px;
    padding: 0 50px;
    color: white !important;
    /* Degradado rojo + letra blanca */
    background: linear-gradient(90deg, var(--c1, #97150D), var(--c2, #FD2315) 51%, var(--c1, #FD2315)) var(--x, 0) / 200%;
    transition: background-position 0.4s ease;
    border: none;
}

    /* Al pasar el ratón: rojo sólido */
    .btn-outline-danger:hover {
        color: white !important;
        background-position: right;
        border: none;
    }


.btn-outline-secondary-pill {
    font-size: 15px !important;
    font-weight: 700 !important;
    display: inline-flex !important;
    align-items: center !important;
    justify-content: center !important;
    line-height: 35px;
    border-radius: 30px;
    transition: all 0.3s ease;
    height: 40px;
    padding: 0 50px;
    color: white !important;
    /* Degradado rojo + letra blanca */
    /*background: linear-gradient(90deg, rgb(15, 18, 45), rgb(30, 35, 68) 51%, rgb(30, 35, 68), rgb(30, 35, 68)) left / 200%;*/
    background: linear-gradient(90deg, var(--c1, #151845), var(--c2, #301568) 51%, var(--c1, #303568)) var(--x, 0) / 200%;
    transition: background-position 0.4s ease;
    border: none;
}

    .btn-outline-secondary-pill:hover {
        color: white;
        background-position: right;
        border: none;
    }